<!--
  Generated template for the ViewPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <ion-title>{{ title }}</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>

  <ion-card *ngFor="let post of posts; let i = index">
    <ion-item id="card_header">
      <ion-avatar item-left>
        
      </ion-avatar>
      <h2>{{ post.author }}</h2>
      <p>2017, 6월 4일 03:23 오전</p>
    </ion-item>
    <ion-card-content>
      <ion-row>
        <ion-col center text-center>
          <h2>{{ post.title }}</h2>
        </ion-col>
      </ion-row>
      <!-- divider -->      
      
      <!-- divider -->
      <p innerHTML="{{ post.content.plain }}"></p>

    </ion-card-content>
    <ion-row>
      <ion-col *ngIf="i === 0" center>
        <button ion-button icon-left clear small>
          <ion-icon name="thumbs-up"></ion-icon>
          <div>추천 12</div>
        </button>
      </ion-col>
      <ion-col>
        <button ion-button icon-left clear small center>
          <ion-icon name="quote" click="quoteThis()"></ion-icon>
          <div>인용</div>
        </button>
      </ion-col>
      <ion-col center text-center align-self-center>
        <ion-note>
          <div>11h ago</div>
        </ion-note>
      </ion-col>
    </ion-row>
  </ion-card>

  <ion-card>
    <ion-card-content>
      <ion-textarea autosize #textarea>
      </ion-textarea>
      <button ion-button full>등록</button>
    </ion-card-content>
  </ion-card>

</ion-content>
